Skip to main content
`Ctrl`+`K`

# DMGetPointSF

Get the `PetscSF` encoding the parallel section point overlap for the `DM`.

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetPointSF(DM dm, PetscSF *sf)

Not collective but the resulting `PetscSF` is collective

## Input Parameter

- dm - The `DM`

## Output Parameter

- sf - The `PetscSF`

## Note

This gets a borrowed reference, so the user should not destroy this `PetscSF`.

## See Also

DM Basics, `DM`, `DMSetPointSF()`, `DMGetSectionSF()`, `DMSetSectionSF()`, `DMCreateSectionSF()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/dm/impls/plex/tutorials/ex14f90.F90
src/ts/tutorials/ex11_sa.c
src/ts/tutorials/ex11.c
src/dm/impls/plex/tutorials/ex14.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages